DCMTK - Feature #545

index.dat version recognition
2013-08-29 08:49 - Andreas Thiel

Status: Closed Start date: 2013-08-29
Priority: High Due date:

Assignee: Jan Schlamelcher % Done: 100%
Category: Application Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmardb Compiler:

Operating System:

Description

We need a mechanism to recognize changes of the internal structure of the index.dat file format.
Proposed solution:

Including and check a magic word at the beginning of the file with version number.

and rename index.dat

History

#1 - 2013-08-29 08:51 - J6rg Riesmeier
- Module set to demqrdb

#2 - 2014-08-04 11:52 - OFFIS DICOM Team

- Assignee set to Nikolas Goldhammer

#3 - 2016-12-14 18:29 - J6rg Riesmeier
- Assignee changed from Nikolas Goldhammer to Jan Schlamelcher

- % Done changed from 0 to 100

Fixed with commit fe9b239.

#4 - 2016-12-21 11:59 - J6rg Riesmeier

- Status changed from New to Closed
